org.hibernate.search.elasticsearch.work.impl

## Class ES2OptimizeWork.Builder

- java.lang.Object
- - org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder<ES2OptimizeWork.Builder>
  - - org.hibernate.search.elasticsearch.work.impl.ES2OptimizeWork.Builder

- All Implemented Interfaces:
    ElasticsearchWorkBuilder<ElasticsearchWork<Void>>, OptimizeWorkBuilder, TranslatedLuceneWorkBuilder<OptimizeWorkBuilder>
  Enclosing class:
    ES2OptimizeWork

      public static class ES2OptimizeWork.Builder
      extends SimpleElasticsearchWork.Builder<ES2OptimizeWork.Builder>
      implements OptimizeWorkBuilder

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder

      `dirtiedIndexName, luceneWork, markIndexDirty, resultAssessor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ES2OptimizeWork` | `build()`
    `protected ElasticsearchRequest` | `buildRequest()`
    `ES2OptimizeWork.Builder` | `index(URLEncodedString indexName)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder

      `luceneWork, markIndexDirty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.elasticsearch.work.impl.builder.TranslatedLuceneWorkBuilder

      `luceneWork`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### index

          public ES2OptimizeWork.Builder index(URLEncodedString indexName)

      Specified by:
        `index` in interface `OptimizeWorkBuilder`

    - #### buildRequest

          protected ElasticsearchRequest buildRequest()

      Specified by:
        `buildRequest` in class `SimpleElasticsearchWork.Builder<ES2OptimizeWork.Builder>`

    - #### build

          public ES2OptimizeWork build()

      Specified by:
        `build` in interface `ElasticsearchWorkBuilder<ElasticsearchWork<Void>>`
      Specified by:
        `build` in class `SimpleElasticsearchWork.Builder<ES2OptimizeWork.Builder>`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved